package leigh.minecraft.leighco;

import leigh.mecha.log.MechaLogger;
import leigh.mecha.log.MechaLoggerFactory;

public class LotTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(LotTest.class);

    public void lotTest(float playerX, float playerY, int size) {
        Lot l = new Lot(new Location(playerX, 0, playerY, 0, 0), size);
        logger.info("Calculated lot for {},{}}: {}", playerX, playerY, l);
    }

    // Because the test runner is broken
    public static void main(String[] args) {
        LotTest test = new LotTest();
        test.lotTest(10, 10, 16);
        test.lotTest(-10, -10, 16);
        test.lotTest(-10, 10, 16);
        test.lotTest(10, -10, 16);


        test.lotTest(30, 30, 16);
        test.lotTest(-30, -30, 16);
        test.lotTest(-30, 30, 16);
        test.lotTest(30, -30, 16);
    }
}
